Subject: Re: [DTC PATCH] Add support for decimal, octal and binary based cell values.

From: David Gibson <[email-masked]>
Date: Fri, 16 Feb 2007 11:09:12 +1100

On Thu, Feb 15, 2007 at 03:37:36PM -0800, Dan Malek wrote:
> 
> On Feb 15, 2007, at 2:57 PM, David Gibson wrote:
> 
> > Yes, but hex-by-default is already implemented and out there.  We
> > can't change it without breaking compatibility horribly.
> 
> Compatibility with what?  The few dts files that exist
> that are still all changing frequently due to other
> tool modifications?  I'd prefer to change them now,
> rather than propagate this new syntax.

Nonetheless there are enough dts files out there - some of them within
vendors where I can't see them - that I absolutely do not want to
change something som fundamental in the format.

I have considered defining a "new-style" cell format, with delimiters
different from < > that uses C style literals.  But that idea's fairly
ugly too.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson